de.vc.io.rtf.parser

## Class TextProperties

- java.lang.Object
- - de.vc.io.rtf.parser.TextProperties

- All Implemented Interfaces:
    java.lang.Cloneable

      public class TextProperties
      extends java.lang.Object
      implements java.lang.Cloneable

  Text properties.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `TC_DELETED`
    `static int` | `TC_REVISED`
    `static int` | `TC_UNCHANGED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextProperties()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(TextProperties text, boolean additive)`
    `TextProperties` | `child()`
    `TextProperties` | `copy()`
    `java.awt.Color` | `getBackgroundColor()`
    `int` | `getCapitals()`
    `float` | `getCharSpacing()`
    `java.lang.String` | `getDoubleCharFont()`
    `java.lang.String` | `getFontEncoding()`
    `java.lang.String` | `getFontFamily()`
    `java.lang.String` | `getFontName()`
    `Measure` | `getFontSize()`
    `java.awt.Color` | `getForegroundColor()`
    `java.lang.String` | `getHighCharFont()`
    `int` | `getLanguage()`
    `java.util.Locale` | `getLanguageAsLocale()`
    `int` | `getLanguageFarEast()`
    `java.lang.String` | `getLowCharFont()`
    `int` | `getScaleX()`
    `java.awt.Color` | `getShadingBGColor()`
    `java.awt.Color` | `getShadingFGColor()`
    `int` | `getShadingPercentage()`
    `int` | `getTrackChangesState()`
    `int` | `getUnderline()`
    `java.lang.String` | `getUsedFontName(java.lang.String fallback)`
    `int` | `getVerticalAlign()`
    `int` | `getVerticalOffset()`
    `boolean` | `isBold()`
    `boolean` | `isEmboss()`
    `boolean` | `isEngrave()`
    `boolean` | `isHiddenText()`
    `boolean` | `isItalic()`
    `boolean` | `isOutline()`
    `boolean` | `isStrikethrough()`
    `void` | `reset()`
    `void` | `setBackgroundColor(java.awt.Color backgroundColor)`
    `void` | `setBold(byte bold)`
    `void` | `setCapitals(int capitals)`
    `void` | `setCharSpacing(float charSpacing)`
    `void` | `setDoubleCharFont(java.lang.String doubleCharFont)`
    `void` | `setEmboss(byte emboss)`
    `void` | `setEngrave(byte engrave)`
    `void` | `setFont(FontInfo font)`
    `void` | `setFontEncoding(java.lang.String fontEncoding)`
    `void` | `setFontFamily(java.lang.String fontFamily)`
    `void` | `setFontName(java.lang.String fontName)`
    `void` | `setFontSize(float points)`
    `void` | `setFontSize(Measure size)`
    `void` | `setForegroundColor(java.awt.Color foregroundColor)`
    `void` | `setHiddenText(boolean hiddenText)`
    `void` | `setHighCharFont(java.lang.String highCharFont)`
    `void` | `setItalic(byte italic)`
    `void` | `setLanguage(int language)`
    `void` | `setLanguageFarEast(int languageFarEast)`
    `void` | `setLanguageFarEastNoProof(int languageFarEastNoProof)`
    `void` | `setLanguageNoProof(int languageNoProof)`
    `void` | `setLowCharFont(java.lang.String lowCharFont)`
    `void` | `setOutline(byte outline)`
    `void` | `setScaleX(int scaleX)`
    `void` | `setShadingBGColor(java.awt.Color shadingBGColor)`
    `void` | `setShadingFGColor(java.awt.Color shadingFGColor)`
    `void` | `setShadingPercentage(int shadingPercentage)`
    `void` | `setStrikethrough(byte strikethrough)`
    `void` | `setTrackChangesState(int trackChangesState)`
    `void` | `setUnderline(int underline)`
    `void` | `setVerticalAlign(int verticalAlign)`
    `void` | `setVerticalOffset(int verticalOffset)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TC_DELETED

          public static final int TC_DELETED

      See Also:
        Constant Field Values

    - #### TC_REVISED

          public static final int TC_REVISED

      See Also:
        Constant Field Values

    - #### TC_UNCHANGED

          public static final int TC_UNCHANGED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TextProperties

          public TextProperties()

  - ### Method Detail

    - #### apply

          public void apply(TextProperties text,
                   boolean additive)

    - #### child

          public TextProperties child()

    - #### copy

          public TextProperties copy()

    - #### reset

          public void reset()

    - #### getBackgroundColor

          public java.awt.Color getBackgroundColor()

    - #### getCapitals

          public int getCapitals()

    - #### getCharSpacing

          public float getCharSpacing()

    - #### getDoubleCharFont

          public java.lang.String getDoubleCharFont()

    - #### getFontEncoding

          public java.lang.String getFontEncoding()

    - #### getFontFamily

          public java.lang.String getFontFamily()

    - #### getFontName

          public java.lang.String getFontName()

    - #### getFontSize

          public Measure getFontSize()

    - #### getForegroundColor

          public java.awt.Color getForegroundColor()

    - #### getHighCharFont

          public java.lang.String getHighCharFont()

    - #### getLanguage

          public int getLanguage()

    - #### getLanguageAsLocale

          public java.util.Locale getLanguageAsLocale()

    - #### getLanguageFarEast

          public int getLanguageFarEast()

    - #### getLowCharFont

          public java.lang.String getLowCharFont()

    - #### getScaleX

          public int getScaleX()

    - #### getShadingBGColor

          public java.awt.Color getShadingBGColor()

    - #### getShadingFGColor

          public java.awt.Color getShadingFGColor()

    - #### getShadingPercentage

          public int getShadingPercentage()

    - #### getTrackChangesState

          public int getTrackChangesState()

    - #### getUnderline

          public int getUnderline()

    - #### getUsedFontName

          public java.lang.String getUsedFontName(java.lang.String fallback)

    - #### getVerticalAlign

          public int getVerticalAlign()

    - #### getVerticalOffset

          public int getVerticalOffset()

    - #### isBold

          public boolean isBold()

    - #### isEmboss

          public boolean isEmboss()

    - #### isEngrave

          public boolean isEngrave()

    - #### isHiddenText

          public boolean isHiddenText()

    - #### isItalic

          public boolean isItalic()

    - #### isOutline

          public boolean isOutline()

    - #### isStrikethrough

          public boolean isStrikethrough()

    - #### setBackgroundColor

          public void setBackgroundColor(java.awt.Color backgroundColor)

    - #### setBold

          public void setBold(byte bold)

    - #### setCapitals

          public void setCapitals(int capitals)

    - #### setCharSpacing

          public void setCharSpacing(float charSpacing)

    - #### setDoubleCharFont

          public void setDoubleCharFont(java.lang.String doubleCharFont)

    - #### setEmboss

          public void setEmboss(byte emboss)

    - #### setEngrave

          public void setEngrave(byte engrave)

    - #### setFont

          public void setFont(FontInfo font)

    - #### setFontEncoding

          public void setFontEncoding(java.lang.String fontEncoding)

    - #### setFontFamily

          public void setFontFamily(java.lang.String fontFamily)

    - #### setFontName

          public void setFontName(java.lang.String fontName)

    - #### setFontSize

          public void setFontSize(float points)

    - #### setFontSize

          public void setFontSize(Measure size)

    - #### setForegroundColor

          public void setForegroundColor(java.awt.Color foregroundColor)

    - #### setHiddenText

          public void setHiddenText(boolean hiddenText)

    - #### setHighCharFont

          public void setHighCharFont(java.lang.String highCharFont)

    - #### setItalic

          public void setItalic(byte italic)

    - #### setLanguage

          public void setLanguage(int language)

    - #### setLanguageFarEast

          public void setLanguageFarEast(int languageFarEast)

    - #### setLanguageFarEastNoProof

          public void setLanguageFarEastNoProof(int languageFarEastNoProof)

    - #### setLanguageNoProof

          public void setLanguageNoProof(int languageNoProof)

    - #### setLowCharFont

          public void setLowCharFont(java.lang.String lowCharFont)

    - #### setOutline

          public void setOutline(byte outline)

    - #### setScaleX

          public void setScaleX(int scaleX)

    - #### setShadingBGColor

          public void setShadingBGColor(java.awt.Color shadingBGColor)

    - #### setShadingFGColor

          public void setShadingFGColor(java.awt.Color shadingFGColor)

    - #### setShadingPercentage

          public void setShadingPercentage(int shadingPercentage)

    - #### setStrikethrough

          public void setStrikethrough(byte strikethrough)

    - #### setTrackChangesState

          public void setTrackChangesState(int trackChangesState)

    - #### setUnderline

          public void setUnderline(int underline)

    - #### setVerticalAlign

          public void setVerticalAlign(int verticalAlign)

    - #### setVerticalOffset

          public void setVerticalOffset(int verticalOffset)

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.